Bug 124343 - noarch packages incorrectly distributed to s390/s390x channels
Summary: noarch packages incorrectly distributed to s390/s390x channels
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels   
(Show other bugs)
Version: RHN Stable
Hardware: s390x
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris MacLeod
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-25 19:41 UTC by Brock Organ
Modified: 2007-04-18 17:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-03 20:54:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Organ 2004-05-25 19:41:24 UTC
* RHEL3 U2 s390/s390x AS
* Erratum: RHBA-2004:149-03 - Updated firstboot package clarifies
wording in the additional CDs scree
* packages selected in file list are all noarch

the errata file listing is:

> 3AS/SRPMS/firstboot-1.1.19-2.src.rpm
> 3AS/noarch/firstboot-1.1.19-2.noarch.rpm
> 3ES/SRPMS/firstboot-1.1.19-2.src.rpm
> 3ES/noarch/firstboot-1.1.19-2.noarch.rpm
> 3WS/SRPMS/firstboot-1.1.19-2.src.rpm
> 3WS/noarch/firstboot-1.1.19-2.noarch.rpm

which is correct; however, the s390/s390x arches should be excluded
from receiving this package, but up2date --showall on s390/s390x
incorrectly lists the package:

> # up2date --showall | grep firstboot
> firstboot-1.1.19-2.noarch
> #

Comment 1 Chris MacLeod 2004-05-26 16:58:23 UTC
rhelU2 packages were distributed according to rel-eng population of
the trees.  Were the trees done wrong in this case?

Comment 2 Tim Powers 2004-05-26 17:31:41 UTC
Um, no they weren't. Remember, I'm not supposed to use rhnpush for those, so they 
shouldn't be there in the s390* channels unless the erratum included it for the s390* 
channels.

Comment 3 Tim Powers 2004-05-26 20:51:08 UTC
Why is this assigned to me? Someone screwed up the errata and it needs to be re-issued. 
It has absolutely _nothing_ to do with my trees.

Comment 4 Tim Powers 2004-05-26 20:54:34 UTC
Chris: what needs to happen is for someone from RHN to just remove the firtboot 
packages from the s390* channels. Back to you.

Comment 5 Chris MacLeod 2004-05-26 21:26:55 UTC
This requires some custom work to disassociate the packages with the
channel(s) in question.

Comment 6 Chris MacLeod 2004-06-03 18:53:16 UTC
packages removed from webqa.  If all looks good let me know (set this
to prod_ready) and I'll have them removed from production.

Comment 7 Brock Organ 2004-06-03 20:18:02 UTC
verified fixed on webqa ... setting status to PROD_READY ... thanks! :)


Note You need to log in before you can comment on or make changes to this bug.